import { Core } from "./Core";

let core = new Core('http://127.0.0.1:8091');

class ServerAPI {
    //用户相关
    static WXWorkUrl(num, type, callback = function () { }) {
        core.request(
            "/User/WXWorkUrl",
            {
                num,
                type
            },
            { method: 'GET' },
            callback
        )
    }

    static WXWorkLogin(code, callback = function () { }) {
        core.request(
            "/User/WXWorkLogin",
            {
                code
            },
            { method: 'POST' },
            callback
        )
    }

    static UpdateInfo(uuid, session, code, callback = function () { }) {
        core.request(
            "/User/UpdateInfo",
            {
                uuid,
                session,
                code
            },
            { method: 'POST' },
            callback
        )
    }

    static getPermissions(uuid, session, callback = function () { }) {
        core.request(
            "/User/GetPermissions",
            {
                uuid,
                session
            },
            { method: 'GET' },
            callback
        )
    }

    static checkLoginSession(uuid, session, callback = function () { }) {
        core.request(
            "/User/CheckLoginSession",
            {
                uuid,
                session
            },
            { method: 'GET' },
            callback
        )
    }

    //考勤相关
    static GetAttendanceItemList(uuid, session, callback = function () { }) {
        core.request(
            "/Attendance",
            {
                uuid,
                session
            },
            { method: 'GET' },
            callback
        )
    }

    static DeleteAttendanceItem(uuid, session, id, callback = function () { }) {
        core.request(
            "/Attendance",
            {
                uuid,
                session,
                project_id: id
            },
            { method: 'DELETE' },
            callback
        )
    }

    static AddAttendanceItems(data, callback = function () { }) {
        core.request(
            "/Attendance",
            data,
            { method: 'POST' },
            callback
        )
    }

    static Attendance(data, callback = function () { }) {
        core.request(
            "/Attendance",
            data,
            { method: 'PUT' },
            callback
        )
    }

    static GetMyAttendanceItems(uuid, session, callback = function () { }) {
        core.request(
            "/GetMyAttendanceItems",
            {
                uuid,
                session
            },
            { method: 'GET' },
            callback
        )
    }

    static GetAttendanceItemDetail(uuid, session, id, callback = function () { }) {
        core.request(
            "/GetAttendanceItemDetail",
            { uuid, session, project_id: id },
            { method: 'GET' },
            callback
        )
    }

    static AddAttendanceRecord(uuid, session, id, callback = function () { }) {
        core.request(
            "/AddAttendanceRecord",
            { uuid, session, project_id: id },
            { method: 'GET' },
            callback
        )
    }

    static SupplementRecord(uuid, session, user, id, callback = function () { }) {
        core.request(
            "/SupplementRecord",
            { uuid, session, user, project_id: id },
            { method: 'GET' },
            callback
        )
    }

    static UserList(uuid, session, callback = function () { }) {
        core.request(
            "/UserList",
            {
                uuid,
                session
            },
            { method: 'GET' },
            callback
        )
    }

}

export {
    ServerAPI
}